Loading...
Searching...
No Matches
KalmanFilter.h File Reference

Simple linear Kalman filter. More...

Go to the source code of this file.

## Classes

class | gtsam::KalmanFilter
| Kalman Filter class. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | KALMANFILTER_DEFAULT_FACTORIZATION QR

## Detailed Description

Simple linear Kalman filter.

Implemented using factor graphs, i.e., does Cholesky-based SRIF, really.

Date
  Sep 3, 2011

Author
  Stephen Williams
  Frank Dellaert